package ${basePackage}.action.ajax.system;

import org.springframework.beans.factory.annotation.Autowired;
import ${basePackage}.frame.auth.Token;
import ${basePackage}.module.system.mgr.UserRoleManager;
import ${basePackage}.module.system.req.UserRoleCreateRequest;
import ${basePackage}.module.system.req.UserRoleDeleteRequest;
import ${basePackage}.module.system.req.UserRoleFindRequest;
import ${basePackage}.module.system.req.UserRoleGetRequest;
import ${basePackage}.module.system.req.UserRoleUpdateRequest;
import ${basePackage}.module.system.rsp.UserRoleCreateResponse;
import ${basePackage}.module.system.rsp.UserRoleDeleteResponse;
import ${basePackage}.module.system.rsp.UserRoleFindResponse;
import ${basePackage}.module.system.rsp.UserRoleGetResponse;
import ${basePackage}.module.system.rsp.UserRoleUpdateResponse;

public class UserRoleAjax {

    @Autowired
    private UserRoleManager userRoleManager;

    public UserRoleCreateResponse create(UserRoleCreateRequest request, Token token) {
        return userRoleManager.create(request, token);
    }

    public UserRoleDeleteResponse delete(UserRoleDeleteRequest request, Token token) {
        return userRoleManager.delete(request, token);
    }

    public UserRoleUpdateResponse update(UserRoleUpdateRequest request, Token token) {
        return userRoleManager.update(request, token);
    }

    public UserRoleFindResponse find(UserRoleFindRequest request, Token token) {
        return userRoleManager.find(request, token);
    }

    public UserRoleGetResponse get(UserRoleGetRequest request, Token token) {
        return userRoleManager.get(request, token);
    }
}
